#Classic2 R Wrapper Function

#The classic2 function
dyn.load("Classic2.so")
classic2 <- function( data, Y, lambda1, lambda2=0, epsilon=.001, M, correct=T){
	
	#scale the data
		#data.scale <- data
		#data.scale <- myScale(data)
		#data.sumSqs <- apply(data, 2, colSumSqs)
		
	#Get dimensions
		n <- dim(data)[1]
		p <- dim(data)[2]
			
	#for( i in 1:p){
	#	data[,i] <- (data[,i]-mean(data[,i]))/sd(data[,i])
	#}	

	#run the function in C with the scaled data
	func.Return <- .C("Classic2", as.vector(as.double(Y)), as.vector(as.double(data)), as.integer(n), as.integer(p), as.double(lambda1), as.double(lambda2), as.double(epsilon), as.integer(M), as.integer(correct), 
		as.double(0), vector("double", M), vector("integer", M), as.integer(0) )
	
	numKept = func.Return[[13]]
	keep.raw = func.Return[[12]] + 1
	#which.keep = sort(unique(keep.raw)) + 1
	#numKept = length(which.keep)
	
	beta.hat = c( func.Return[[11]] ) 
	keep = c(keep.raw[1:numKept], 0)
	cbind( keep, c( beta.hat[1:numKept], func.Return[[10]]) )
}	
